/**
 * SyntaxHighlighter
 * http://alexgorbatchev.com/
 *
 * SyntaxHighlighter is donationware. If you are using it, please donate.
 * http://alexgorbatchev.com/wiki/SyntaxHighlighter:Donate
 *
 * @version
 * 2.0.296 (March 01 2009)
 * 
 * @copyright
 * Copyright (C) 2004-2009 Alex Gorbatchev.
 *
 * @license
 * This file is part of SyntaxHighlighter.
 * 
 * SyntaxHighlighter is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * SyntaxHighlighter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with SyntaxHighlighter.  If not, see <http://www.gnu.org/licenses/>.
 */
SyntaxHighlighter.brushes.FSharp = function()
{
	var keywords =	'abstract and as assert begin class default delegate do done downcast downto else end enum ' +
	                'exception extern false finally for fun function if in inherit interface land lazy let match ' + 
	                'member module mutable namespace new null of open or override rec sig static struct then to ' + 
	                'true try type val when inline upcast while with void asr land lor lsl lsr lxor mod async ' + 
	                'atomic break checked component const constraint constructor continue decimal eager event ' +
	                'external fixed functor include method mixin object process property protected public pure ' +
	                'readonly return sealed virtual volatile';

	var operators =	'land lor lsl lsr lxor mod';
					
	this.regexList = [
		{ regex: SyntaxHighlighter.regexLib.singleLineCComments,	css: 'comments' },			// one line comments
		{ regex: SyntaxHighlighter.regexLib.doubleQuotedString,		css: 'string' },			// strings
		{ regex: SyntaxHighlighter.regexLib.singleQuotedString,		css: 'string' },			// strings
		{ regex: /^ *#.*/gm,						css: 'preprocessor' },
		{ regex: new RegExp(this.getKeywords(keywords), 'gm'),		css: 'keyword' },			// keyword
		{ regex: new RegExp(this.getKeywords(operators), 'gm'),		css: 'functions' }
		];
		
	this.forHtmlScript(SyntaxHighlighter.regexLib.aspScriptTags);
};

SyntaxHighlighter.brushes.FSharp.prototype	= new SyntaxHighlighter.Highlighter();
SyntaxHighlighter.brushes.FSharp.aliases	= ['f#', 'fsharp', 'f-sharp'];

