﻿/**
 * SyntaxHighlighter
 * http://alexgorbatchev.com/
 *
 * SyntaxHighlighter is donationware. If you are using it, please donate.
 * http://alexgorbatchev.com/wiki/SyntaxHighlighter:Donate
 *
 * @version
 * 2.0.296 (March 01 2009)
 * 
 * @copyright
 * Copyright (C) 2004-2009 Alex Gorbatchev.
 *
 * @license
 * This file is part of SyntaxHighlighter.
 * 
 * SyntaxHighlighter is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * SyntaxHighlighter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with SyntaxHighlighter.  If not, see <http://www.gnu.org/licenses/>.
 */
SyntaxHighlighter.brushes.Ssis = function()
{
	var funcs = 'abs exp ceiling floor ln log power sign square sqrt '
		+ 'codepoint findstring hex len lower ltrim replace replicate reverse right rtrim substring trim upper '
		+ 'dateadd datediff datepart day getdate getutcdate month year '
		+ 'isnull null '
		+ 'cast';
	
	var keywords = 'DT_I1 DT_I2 DT_I4 DT_R4 DT_R8 DT_CY DT_DATE DT_BOOL DT_NUMERIC DT_DECIMAL DT_UI1 '
		+ 'DT_UI2 DT_UI4 DT_I8 DT_UI8 DT_GUID DT_BYTES DT_STR DT_WSTR DT_DBDATE DT_DBTIME '
		+ 'DT_DBTIME2 DT_DBTIMESTAMP DT_DBTIMESTAMP2 DT_DBTIMESTAMPOFFSET DT_FILENAME '
		+ 'DT_IMAGE DT_TEXT DT_NTEXT';
	
	this.regexList = [
		{ regex: SyntaxHighlighter.regexLib.singleLineCComments,	css: 'comments' },			// one line comments
		{ regex: SyntaxHighlighter.regexLib.doubleQuotedString,		css: 'string' },			// double quoted strings
		{ regex: SyntaxHighlighter.regexLib.singleQuotedString,		css: 'string' },			// single quoted strings
		{ regex: /\@\[[a-zA-Z0-9_:]+\]/g,							css: 'variable' },			// variables
		{ regex: new RegExp(this.getKeywords(funcs), 'gmi'),		css: 'functions' },			// common functions
		{ regex: new RegExp(this.getKeywords(keywords), 'gm'),		css: 'keyword' }			// keyword
		];
	
	this.forHtmlScript(SyntaxHighlighter.regexLib.aspScriptTags);
};

SyntaxHighlighter.brushes.Ssis.prototype	= new SyntaxHighlighter.Highlighter();
SyntaxHighlighter.brushes.Ssis.aliases	= ['ssis'];